using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using fbblSchemaAziendale;
using fbblTipi;
using fbblMessaggi;

namespace fdprProgettoAzienda
{
    public partial class frmInserimentoDati : Form
    {

        private Operai OggettoOperaio;
        private string Nome;
        private string Cognome;
        private string Sesso;
        private string Via;
        private string Numero;
        private string Citta;
        private string Cap;
        private string Provincia;
        private string TelefonoFisso;
        private string CodiceFiscale;
        private string Matricola;
        private string Livello;
        private string Mansione;
        private int Retribuzione;
        private sbyte FerieGodute;
        private sbyte FerieDovute;
        private sbyte PermessiGoduti;
        private int GiorniMalattia;
        private sbyte NumeroTurni;
        private string TipologiaTurni;
        private string Orario;
        private sbyte GiorniPreMaternita;
        private int GiorniPostMaternita;
        private string TelefonoCellulare;
  

        public frmInserimentoDati()
        {
            InitializeComponent();
        }

// PROCEDURE LOCALI DI PROGETTO

        private void frmInserimentoDati_Esci()
        {
            Application.Exit();
        }
 
         private void frmInserimentoDati_Memorizza()
         {
             this.Nome = edtNome.Text;
             this.Cognome = edtCognome.Text;
             this.Sesso = edtSesso.Text;
             this.Via = edtVia.Text;
             this.Numero = edtNumero.Text;
             this.Citta = edtCitta.Text;
             this.Cap = edtCap.Text;
             this.Provincia = edtProvincia.Text;
             this.CodiceFiscale = edtCodiceFiscale.Text;
             this.Matricola = edtMatricola.Text;
             this.TelefonoFisso = edtTelefonoFisso.Text;
             this.Livello = edtLivello.Text;
             this.Mansione = edtMansione.Text;
             this.Retribuzione = Convert.ToInt32(edtRetribuzione.Text);
             this.FerieDovute = Convert.ToSByte(edtFerieDovute.Text);
             this.FerieGodute = Convert.ToSByte(edtFerieGodute.Text);
             this.PermessiGoduti = Convert.ToSByte(edtPermessiGoduti.Text);
             this.GiorniMalattia = Convert.ToInt32(edtMalattiaTotale.Text);
             this.NumeroTurni = Convert.ToSByte(edtNumeroTurni.Text);
             this.TipologiaTurni = edtTipologiaTurni.Text;
             this.Orario = edtOrario.Text;
             this.GiorniPreMaternita = Convert.ToSByte(edtPreMaternita.Text);
             this.GiorniPostMaternita = Convert.ToInt32(edtPostMaternita.Text);
             this.TelefonoCellulare = edtTelefonoCellulare.Text;


             OggettoOperaio = new Operai(Nome,Cognome,Sesso,Via,Numero,Citta,Cap,Provincia,
                                         TelefonoFisso,CodiceFiscale,Matricola,Livello,
                                         Mansione,Retribuzione,FerieGodute,FerieDovute,PermessiGoduti,
                                         GiorniMalattia, NumeroTurni, TipologiaTurni,
                                         GiorniPreMaternita,GiorniPostMaternita,TelefonoCellulare);
                                         
                                        
                                    
         }

         private void frmInserimentoDati_Rileggi()
         {
             Liste MiaLista = new Liste();
             StringBuilder ComposizioneStringa = new StringBuilder();
             string Messaggio;

             MiaLista = this.OggettoOperaio.stampa();

             ComposizioneStringa.Append("Nome: " + MiaLista.ListaDiStringhe[0]);
             ComposizioneStringa.Append(" Cognome: " + MiaLista.ListaDiStringhe[1]);
             ComposizioneStringa.Append(" Sesso: " + MiaLista.ListaDiStringhe[2]);
             ComposizioneStringa.Append(" Via: " + MiaLista.ListaDiStringhe[3]);
             ComposizioneStringa.Append(" Numero: " + MiaLista.ListaDiStringhe[4]);
             ComposizioneStringa.Append(" Citta: " + MiaLista.ListaDiStringhe[5]);
             ComposizioneStringa.Append(" Cap: " + MiaLista.ListaDiStringhe[6]);
             ComposizioneStringa.Append(" Provincia: " + MiaLista.ListaDiStringhe[7]);
             ComposizioneStringa.Append(" Telefono fisso: " + MiaLista.ListaDiStringhe[8]);
             ComposizioneStringa.Append(" Codice fiscale: " + MiaLista.ListaDiStringhe[9]);
             ComposizioneStringa.Append(" Matricola: " + MiaLista.ListaDiStringhe[10]);
             ComposizioneStringa.Append(" Livello: " + MiaLista.ListaDiStringhe[11]);
             ComposizioneStringa.Append(" Mansione: " + MiaLista.ListaDiStringhe[12]);
             ComposizioneStringa.Append(" Retribuzione: " + MiaLista.ListaDiStringhe[13]);
             ComposizioneStringa.Append(" Ferie godute: " + MiaLista.ListaDiStringhe[14]);
             ComposizioneStringa.Append(" Ferie dovute: " + MiaLista.ListaDiStringhe[15]);
             ComposizioneStringa.Append(" Permessi goduti: " + MiaLista.ListaDiStringhe[16]);
             ComposizioneStringa.Append(" Malattia totale: " + MiaLista.ListaDiStringhe[17]);
             ComposizioneStringa.Append(" Numero turni: " + MiaLista.ListaDiStringhe[18]);
             ComposizioneStringa.Append(" Tipologia turni: " + MiaLista.ListaDiStringhe[19]);
             ComposizioneStringa.Append(" Giorni pre: " + MiaLista.ListaDiStringhe[20]);
             ComposizioneStringa.Append(" Giorni post: " + MiaLista.ListaDiStringhe[21]);
             ComposizioneStringa.Append(" Tel.Cell.: " + MiaLista.ListaDiStringhe[22]);

             Messaggio = ComposizioneStringa.ToString();

             StrumentiMessaggi.Messaggio(Messaggio,"Informazione");

         }

// PROCEDURE DI RISPOSTA AGLI EVENTI

        private void btnMemorizza_Click(object sender, EventArgs e)
        {
            frmInserimentoDati_Memorizza();
        }

        private void btnRileggi_Click(object sender, EventArgs e)
        {
            frmInserimentoDati_Rileggi();

        }

        private void btnEsci_Click(object sender, EventArgs e)
        {
            frmInserimentoDati_Esci();
        }
    }
}
